# The Settlers II Gold Edition: Rusty Polar texture pack

**RELEASE CANDIDATE RELEASE 2 2022-03-27**

From [The Settlers II.net](https://settlers2.net)


## Wetlands (Greenland replacement)

Original Greenland depicts sandy beaches, deserts, snow-top mountains in addition to all the green.

**Wetlands texture** replaces the dry parts with swampy wet stones.


## Rusty Valley (Wasteland replacement)

Original Wasteland depicts underground caves with lava and dirty water.

It is dry, sandy, and rusty. No longer an underground cave, **Rusty Valley texture** brings the game back to overworld!


## Polar Night (Winter World replacement)

Original Winter World depicts world full of snow where grain fields grow through snow.

The day is about to end and sun has said farewell. **Polar Night texture** shows the beauty of winter during when autumn
is about to end and first snows have come. But the wind can push some green fields free of snow!


## Installation

Copy the `DATA` and `GFX` directories to the game root directory.

**WILL OVERWRITE EXISTING FILES!**

The following files are replaced:

- `DATA\TEXTURES\GOU5.DAT`
- `DATA\TEXTURES\GOU6.DAT`
- `DATA\TEXTURES\GOU7.DAT`
- `GFX\PALETTE\PAL5.BBM`
- `GFX\PALETTE\PAL6.BBM`
- `GFX\PALETTE\PAL7.BBM`
- `GFX\TEXTURES\TEX5.LBM`
- `GFX\TEXTURES\TEX6.LBM`
- `GFX\TEXTURES\TEX7.LBM`

Make backups if you don't have them!


## Work files

The archive includes files that were used during development using Paint Shop Pro 7.

- `TEX#.png` is the LBM file as PNG.
- `PAL#.pal` is the palette as JASC palette.
- `GOU#.png` is indexed palette image of the base colors, used as background of `GOU6.psp`.
- `GOU#.psp` was used to create the gouraud shading and adjust darkness/lightness.
- `PAL#-without-color-cycling.pal` is the palette but all palette animation colors removed.

[Indexed palette file converted](https://codesandbox.io/s/indexed-palette-converter-xw113) was used to generate the
contents for gouraud image file. You can open palette in the app, then drop a final gouraud file on the palette colors,
and then use top 64 pixel rows of the resulting image to change equivalent values in `GOU.DAT`, and the remaining to
set pixels from row index 65 (leave index 64 untouched: that contains the pure indexed palette in order).
